Loading...
Searching...
No Matches
casacore::TaQLJoinBase Class Referenceabstract
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <TaQLJoin.h>`

## Public Member Functions

virtual | ~TaQLJoinBase ()=default
virtual Int64 | findRow (const TableExprId &)=0
| Find the row number.

## Detailed Description

Base class for handling a comparison in the join clause in a TaQL command

### Intended use:

Internal

### Review Status

Reviewed By:
  Tammo Jan Dijkema
Date Reviewed:
  2022/12/15
Test programs:
  tTableGramJoin

### Synopsis

Definition at line 50 of file TaQLJoin.h.

## Constructor & Destructor Documentation

## ~TaQLJoinBase()

virtual casacore::TaQLJoinBase::~TaQLJoinBase | ( |  | ) |

virtual default

## Member Function Documentation

## findRow()

virtual Int64 casacore::TaQLJoinBase::findRow | ( | const TableExprId & |  | ) |

pure virtual

Find the row number.

<0 means not found.

Implemented in casacore::TaQLJoin, and casacore::TaQLJoinRow.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLJoin.h